
getwd()

beeData <- read.csv("C:/Users/UserName/Documents/Beecology/BeeData.csv") #Change for the location of your file
beeData

head(beeData)
summary(beeData)

gender <- factor(beeData$gender)
species <- factor(beeData$species)
behavior <- factor(beeData$behavior)
tongue_length <- factor(beeData$tongue_length)
year <- beeData$year
month <- beeData$month

# Creating Data Frame so that we can retrieve helpful summary stats
df <- data.frame(species, year, gender, behavior, tongue_length, month)
df

summary(df)

plot(species)
plot(df$species) #Same as the above plot


plot(tongue_length)
plot(behavior)


# Using base R to plot the count of behavior type for each species

# Creating table to see counts then plot simply

speciesBehavior <- table(species, behavior)
speciesBehavior

barplot(speciesBehavior, beside = TRUE)

# Now we want to dress up graphs, give titles, change colors, etc. 

barplot(speciesBehavior, main="Species Distribution by Behavior Type", 
        xlab="behavior type", legend = rownames(speciesBehavior), args.legend = list(x = "topright",
                                                                                     inset = c(-0.13, -.2)), col= c("green", "blue", "cornflowerblue", "red", "purple", "orange", "yellow", "black", "brown", "pink", "darkseagreen", "aquamarine"), beside = TRUE)

# Plotting count of tongue length for each species 

speciesTongue <- table(species, tongue_length)
speciesTongue

# Have students look at distribution of each - why are the counts distributed in one category?

barplot(speciesTongue, main="Species Distribution by Tongue Length", 
        xlab="tongue length", legend = rownames(speciesTongue), beside = TRUE)

