
library(ggplot2) 
library(dplyr)

beeData <- read.csv("C:/Users/Chloe/Documents/Rstuff/iqp/beeData3.csv")
beeData

species <- factor(beeData$species)
tongue_length <- factor(beeData$tongue_length)


# Plotting with ggplot -----------------------------------------------------

beeData %>%
  mutate(time = lubridate::ymd_hms(time), 
         month = as.Date(time)) %>%
  count(month, species) %>%
  ggplot(aes(month, n, color = species)) + geom_line() 

beeData %>%
  mutate(time = lubridate::ymd_hms(time), 
         month = as.Date(time)) %>%
  count(month, tongue_length) %>%
  ggplot(aes(month, n, color = tongue_length)) + geom_line()
  