## Vectors and Data Frames 

## Activity 1: Creating Vectors

# vector of type Character
print("abcde")

# Vector of type Logical
print(TRUE)

# Vector of type Numeric
print(5)


# Using : to create a vector of consecutive numbers from 2 to 10
x <- 2 : 10
x


# Storing hypothetical average temperatures in a vector manually
averageTemps <- c(50, 55, 70, 63, 58, 67)
averageTemps

# Create a character vector containing the names of all the bee species in the Beecology dataset. 
# Students should have 11 species names, only showing 3 as example

beeSpecies <- c("B. impatiens", "B. vagans", "B. bimacultus") 

julyObservations <- c(893, 450, 422, 401, 185, 170, 107, 100, 55, 40, 32)

## Activity 2: Actions on Vectors 

# Displaying fourth element in averageTemps
averageTemps[4]

julyObservations[3]

# Adding 5 to each item in the vector, averageTemps
averageTemps <- averageTemps + 5
averageTemps

averageTemps <- averageTemps - 5
averageTemps 

# Sorting the numeric vector, averageTemps, from least to greatest
sort(averageTemps)

# Returning the length of the vector, averageTemps 
length(averageTemps)

sort(julyObservations)

julyObvervations <- julyObservations + 10
julyObservations 

length(julyObservations)

## Activity 3: Working with Data Frames 

library(datasets)
data(iris)

head(iris)

summary(iris)

# Creating a Data Frame

months <- 1:12

# Count of impatiens for each month in 2021

beeCount <- c(0,0,0,7,21,31,78,116,59,41,0,0)

monthlyCounts <- data.frame(months, beeCount)
monthlyCounts

summary(monthlyCounts)

# Bonus 1

plot(months, beeCount)
plot(monthlyCounts)

# Bonus 2 

species <- iris$Species

PL <- iris$Petal.Length
PW <- iris$Petal.Width

plot(PL, PW)
